;
;	>>> ISO-State by JAC! <<<
;
;	Created for Sillyventure 2011 in Gdansk.
;
;	This module requires 0 volatile bytes.
;
;	@com.wudsn.ide.asm.hardware=ATARI2600
;	@com.wudsn.ide.asm.mainsourcefile=ISO.asm

	.proc stage

	delay_cnt = $80

	.proc init		;Activate next stage
	inc text_stage
	rts
	.endp

	.proc stop		;Stop and show blank screen at 50 FPS
	lda #0
	tax
clear	sta $00,x
	inx
	bne clear

kernel	jsr main.vsync_area
	ldx #308/2
loop	sta wsync
	sta wsync
	dex
	bne loop
	lsr swchb		;Reset pressed?
	bcc restart		;Yes, reset
	inw delay_cnt
	lda delay_cnt+1
	cmp #2			;Wait 2*$100/50=10,24s	
	bne kernel
restart	jmp ($fffc)
	.endp
	.endp
